Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform
Interface TransformationConstants

All Superinterfaces:
  org.objectweb.asm.Constants

All Known Implementing Classes:
  AbstractJoinPointCompiler, AddInterfaceVisitor, AddMixinMethodsVisitor, AddWrapperVisitor, AfterObjectInitializationCodeAdapter, AlreadyAddedMethodAdapter, AlreadyAddedMethodVisitor, AsmHelper, CflowCompiler, ConstructorBodyVisitor, ConstructorCallJoinPointCompiler, ConstructorCallJoinPointRedefiner, ConstructorCallVisitor, ConstructorCallVisitor.LookaheadNewDupInvokeSpecialInstructionCodeAdapter, ConstructorExecutionJoinPointCompiler, ConstructorExecutionJoinPointRedefiner, FieldGetJoinPointCompiler, FieldGetJoinPointRedefiner, FieldSetFieldGetVisitor, FieldSetFieldGetVisitor.ReplacePutFieldAndGetFieldInstructionCodeAdapter, FieldSetJoinPointCompiler, FieldSetJoinPointRedefiner, HandlerJoinPointCompiler, HandlerJoinPointRedefiner, HandlerVisitor, InstanceLevelAspectVisitor, JoinPointInitVisitor, MethodCallJoinPointCompiler, MethodCallJoinPointRedefiner, MethodCallVisitor, MethodCallVisitor.ReplaceInvokeInstructionCodeAdapter, MethodExecutionJoinPointCompiler, MethodExecutionJoinPointRedefiner, MethodExecutionVisitor, ProxyCompiler, StaticInitializationJoinPointCompiler, StaticInitializationVisitor

    public interface TransformationConstants

extends org.objectweb.asm.Constants

Interface with common constants used in the transformation process.

Author:
  Jonas BonŽr

Field Summary
`static String` | `ADD_META_DATA_METHOD_NAME`
`static String` | `ADD_META_DATA_METHOD_SIGNATURE`
`static String` | `ADVISABLE_CLASS_JAVA_NAME`
`static String` | `ADVISABLE_CLASS_NAME`
`static String` | `AFTER_ADVICE_ARRAY_CLASS_SIGNATURE`
`static String` | `AFTER_ADVICE_CLASS_NAME`
`static String` | `AFTER_ADVICE_INVOKE_METHOD_SIGNATURE`
`static String` | `AFTER_INTERCEPTORS_FIELD_NAME`
`static String` | `AFTER_RETURNING_ADVICE_ARRAY_CLASS_SIGNATURE`
`static String` | `AFTER_RETURNING_ADVICE_CLASS_NAME`
`static String` | `AFTER_RETURNING_ADVICE_INVOKE_METHOD_SIGNATURE`
`static String` | `AFTER_RETURNING_INTERCEPTORS_FIELD_NAME`
`static String` | `AFTER_THROWING_ADVICE_ARRAY_CLASS_SIGNATURE`
`static String` | `AFTER_THROWING_ADVICE_CLASS_NAME`
`static String` | `AFTER_THROWING_ADVICE_INVOKE_METHOD_SIGNATURE`
`static String` | `AFTER_THROWING_INTERCEPTORS_FIELD_NAME`
`static String` | `ARGUMENT_FIELD`
`static String` | `AROUND_ADVICE_ARRAY_CLASS_SIGNATURE`
`static String` | `AROUND_ADVICE_CLASS_NAME`
`static String` | `AROUND_ADVICE_INVOKE_METHOD_SIGNATURE`
`static String` | `AROUND_INTERCEPTORS_FIELD_NAME`
`static String` | `ASPECT_FIELD_PREFIX`
`static String` | `ASPECT_OF_METHOD_NAME`
`static String` | `ASPECT_OF_PER_CLASS_METHOD_SIGNATURE`
`static String` | `ASPECT_OF_PER_INSTANCE_METHOD_SIGNATURE`
`static String` | `ASPECT_OF_PER_JVM_METHOD_SIGNATURE`
`static String` | `ASPECTS_CLASS_NAME`
`static String` | `ASPECTWERKZ_PREFIX`
`static String` | `BEFORE_ADVICE_ARRAY_CLASS_SIGNATURE`
`static String` | `BEFORE_ADVICE_CLASS_NAME`
`static String` | `BEFORE_ADVICE_INVOKE_METHOD_SIGNATURE`
`static String` | `BEFORE_INTERCEPTORS_FIELD_NAME`
`static String` | `BOOLEAN_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `BOOLEAN_CLASS_NAME`
`static String` | `BOOLEAN_VALUE_METHOD_NAME`
`static String` | `BOOLEAN_VALUE_METHOD_SIGNATURE`
`static String` | `BYTE_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `BYTE_CLASS_NAME`
`static String` | `BYTE_VALUE_METHOD_NAME`
`static String` | `BYTE_VALUE_METHOD_SIGNATURE`
`static String` | `CALLEE_INSTANCE_FIELD_NAME`
`static String` | `CALLER_INSTANCE_FIELD_NAME`
`static String` | `CHAR_VALUE_METHOD_NAME`
`static String` | `CHAR_VALUE_METHOD_SIGNATURE`
`static String` | `CHARACTER_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `CHARACTER_CLASS_NAME`
`static String` | `CLASS_CLASS`
`static String` | `CLASS_CLASS_GETCLASSLOADER_METHOD_SIGNATURE`
`static String` | `CLASS_CLASS_SIGNATURE`
`static String` | `CLASS_LOADER_CLASS_NAME`
`static String` | `CLASS_LOADER_REFLECT_CLASS_NAME`
`static String` | `CLASS_NOT_FOUND_EXCEPTION_CLASS_NAME`
`static String` | `CLINIT_METHOD_NAME`
`static String` | `CLINIT_METHOD_SIGNATURE`
`static String` | `CONSTRUCTOR_RTTI_IMPL_CLASS_NAME`
`static String` | `CONSTRUCTOR_RTTI_IMPL_CLASS_SIGNATURE`
`static String` | `CONSTRUCTOR_RTTI_IMPL_INIT_SIGNATURE`
`static String` | `CONSTRUCTOR_SIGNATURE_IMPL_CLASS_SIGNATURE`
`static String` | `COPY_METHOD_NAME`
`static String` | `COPY_METHOD_SIGNATURE`
`static String` | `DEFINE_CLASS_METHOD_NAME`
`static String` | `DELIMITER`
`static String` | `DOUBLE_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `DOUBLE_CLASS_NAME`
`static String` | `DOUBLE_VALUE_METHOD_NAME`
`static String` | `DOUBLE_VALUE_METHOD_SIGNATURE`
`static String` | `EMITTED_JOINPOINTS_FIELD_NAME`
`static byte` | `EMPTY_WRAPPER_ATTRIBUTE_VALUE_EMPTY`
`static byte` | `EMPTY_WRAPPER_ATTRIBUTE_VALUE_NOTEMPTY`
`static List` | `EMTPTY_ARRAY_LIST`
`static String` | `ENCLOSING_SJP_FIELD_CLASS_SIGNATURE`
`static String` | `ENCLOSING_SJP_FIELD_NAME`
`static String` | `FIELD_RTTI_IMPL_CLASS_NAME`
`static String` | `FIELD_RTTI_IMPL_CLASS_SIGNATURE`
`static String` | `FIELD_RTTI_IMPL_INIT_SIGNATURE`
`static String` | `FIELD_SIGNATURE_IMPL_CLASS_SIGNATURE`
`static String` | `FLOAT_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `FLOAT_CLASS_NAME`
`static String` | `FLOAT_VALUE_METHOD_NAME`
`static String` | `FLOAT_VALUE_METHOD_SIGNATURE`
`static String` | `FOR_NAME_METHOD_NAME`
`static String` | `FOR_NAME_METHOD_SIGNATURE`
`static String` | `GET_AFTER_ADVICE_METHOD_NAME`
`static String` | `GET_AFTER_ADVICE_METHOD_SIGNATURE`
`static String` | `GET_AFTER_RETURNING_ADVICE_METHOD_NAME`
`static String` | `GET_AFTER_RETURNING_ADVICE_METHOD_SIGNATURE`
`static String` | `GET_AFTER_THROWING_ADVICE_METHOD_NAME`
`static String` | `GET_AFTER_THROWING_ADVICE_METHOD_SIGNATURE`
`static String` | `GET_AROUND_ADVICE_METHOD_NAME`
`static String` | `GET_AROUND_ADVICE_METHOD_SIGNATURE`
`static String` | `GET_BEFORE_ADVICE_METHOD_NAME`
`static String` | `GET_BEFORE_ADVICE_METHOD_SIGNATURE`
`static String` | `GET_CALLEE_CLASS_METHOD_NAME`
`static String` | `GET_CALLEE_CLASS_METHOD_SIGNATURE`
`static String` | `GET_CALLEE_METHOD_NAME`
`static String` | `GET_CALLER_CLASS_METHOD_NAME`
`static String` | `GET_CALLER_CLASS_METHOD_SIGNATURE`
`static String` | `GET_CALLER_METHOD_NAME`
`static String` | `GET_CFLOW_STACK_METHOD_NAME`
`static String` | `GET_CFLOW_STACK_METHOD_SIGNATURE`
`static String` | `GET_ENCLOSING_SJP_METHOD_NAME`
`static String` | `GET_ENCLOSING_SJP_METHOD_SIGNATURE`
`static String` | `GET_INSTANCE_LEVEL_ASPECT_METHOD_NAME`
`static String` | `GET_INSTANCE_LEVEL_ASPECT_METHOD_SIGNATURE`
`static String` | `GET_META_DATA_METHOD_NAME`
`static String` | `GET_META_DATA_METHOD_SIGNATURE`
`static String` | `GET_METHOD_NAME`
`static String` | `GET_METHOD_SIGNATURE`
`static String` | `GET_RTTI_METHOD_NAME`
`static String` | `GET_RTTI_METHOD_SIGNATURE`
`static String` | `GET_SIGNATURE_METHOD_NAME`
`static String` | `GET_SIGNATURE_METHOD_SIGNATURE`
`static String` | `GET_TARGET_CLASS_METHOD_NAME`
`static String` | `GET_TARGET_CLASS_METHOD_SIGNATURE`
`static String` | `GET_TARGET_METHOD_NAME`
`static String` | `GET_THIS_METHOD_NAME`
`static String` | `GET_TYPE_METHOD_NAME`
`static String` | `GET_TYPE_METHOD_SIGNATURE`
`static String` | `GETCLASSLOADER_METHOD_NAME`
`static String` | `GETFIELD_WRAPPER_METHOD_PREFIX`
`static String` | `HANDLER_RTTI_IMPL_CLASS_NAME`
`static String` | `HANDLER_RTTI_IMPL_CLASS_SIGNATURE`
`static String` | `HANDLER_RTTI_IMPL_INIT_SIGNATURE`
`static String` | `HANDLER_SIGNATURE_IMPL_CLASS_SIGNATURE`
`static String` | `HAS_INSTANCE_LEVEL_ASPECT_INTERFACE_NAME`
`static String` | `HASH_MAP_CLASS_NAME`
`static String` | `I`
`static int` | `INDEX_NOTAVAILABLE`
`static String` | `INIT_JOIN_POINTS_METHOD_NAME`
`static String` | `INIT_METHOD_NAME`
`static String` | `INSTANCE_LEVEL_ASPECT_MAP_FIELD_NAME`
`static String` | `INSTANCE_LEVEL_ASPECT_MAP_FIELD_SIGNATURE`
`static String` | `INT_VALUE_METHOD_NAME`
`static String` | `INT_VALUE_METHOD_SIGNATURE`
`static String` | `INTEGER_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `INTEGER_CLASS_NAME`
`static String` | `INTERCEPT_INVOKE_METHOD_NAME`
`static String` | `INTERCEPTOR_INDEX_FIELD_NAME`
`static String` | `INVOKE_METHOD_NAME`
`static String` | `INVOKE_WRAPPER_METHOD_PREFIX`
`static String` | `IS_IN_CFLOW_METOD_NAME`
`static String` | `IS_IN_CFLOW_METOD_SIGNATURE`
`static String` | `JOIN_POINT_CLASS_NAME`
`static String` | `JOIN_POINT_CLASS_SIGNATURE`
`static String` | `JOIN_POINT_CLASS_SUFFIX`
`static String` | `JOIN_POINT_JAVA_CLASS_NAME`
`static String` | `JOIN_POINT_MANAGER_CLASS_NAME`
`static String` | `L`
`static String` | `LOAD_JOIN_POINT_METHOD_NAME`
`static String` | `LOAD_JOIN_POINT_METHOD_SIGNATURE`
`static String` | `LONG_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `LONG_CLASS_NAME`
`static String` | `LONG_VALUE_METHOD_NAME`
`static String` | `LONG_VALUE_METHOD_SIGNATURE`
`static String` | `MAP_CLASS_NAME`
`static String` | `MAP_CLASS_SIGNATURE`
`static String` | `META_DATA_FIELD_NAME`
`static String` | `METHOD_RTTI_IMPL_CLASS_NAME`
`static String` | `METHOD_RTTI_IMPL_CLASS_SIGNATURE`
`static String` | `METHOD_RTTI_IMPL_INIT_SIGNATURE`
`static String` | `METHOD_SIGNATURE_IMPL_CLASS_NAME`
`static String` | `METHOD_SIGNATURE_IMPL_CLASS_SIGNATURE`
`static String` | `MIXIN_FIELD_NAME`
`static String` | `MIXIN_OF_METHOD_NAME`
`static String` | `MIXIN_OF_METHOD_PER_CLASS_SIGNATURE`
`static String` | `MIXIN_OF_METHOD_PER_INSTANCE_SIGNATURE`
`static String` | `MIXIN_OF_METHOD_PER_JVM_SIGNATURE`
`static String` | `MIXINS_CLASS_NAME`
`static int` | `MODIFIER_INVOKEINTERFACE`
`static String` | `NEW_CATCH_CLAUSE_SIGNATURE_METHOD_NAME`
`static String` | `NEW_CONSTRUCTOR_SIGNATURE_METHOD_NAME`
`static String` | `NEW_CONSTRUCTOR_SIGNATURE_METHOD_SIGNATURE`
`static String` | `NEW_ENCLOSING_SJP_METHOD_NAME`
`static String` | `NEW_ENCLOSING_SJP_METHOD_SIGNATURE`
`static String` | `NEW_FIELD_SIGNATURE_METHOD_NAME`
`static String` | `NEW_FIELD_SIGNATURE_METHOD_SIGNATURE`
`static String` | `NEW_HANDLER_SIGNATURE_METHOD_SIGNATURE`
`static String` | `NEW_METHOD_SIGNATURE_METHOD_NAME`
`static String` | `NEW_METHOD_SIGNATURE_METHOD_SIGNATURE`
`static String` | `NEW_STATICINITIALIZATION_SIGNATURE_METHOD_NAME`
`static String` | `NEW_STATICINITIALIZATION_SIGNATURE_METHOD_SIGNATURE`
`static String` | `NO_PARAM_RETURN_VOID_SIGNATURE`
`static String` | `NO_PARAMS_RETURN_VOID_METHOD_SIGNATURE`
`static String` | `NO_PARAMS_SIGNATURE`
`static boolean` | `NON_OPTIMIZED_JOIN_POINT`
`static String` | `NR_OF_AFTER_INTERCEPTORS_FIELD_NAME`
`static String` | `NR_OF_AFTER_RETURNING_INTERCEPTORS_FIELD_NAME`
`static String` | `NR_OF_AFTER_THROWING_INTERCEPTORS_FIELD_NAME`
`static String` | `NR_OF_AROUND_INTERCEPTORS_FIELD_NAME`
`static String` | `NR_OF_BEFORE_INTERCEPTORS_FIELD_NAME`
`static String` | `OBJECT_CLASS_NAME`
`static String` | `OBJECT_CLASS_SIGNATURE`
`static boolean` | `OPTIMIZED_JOIN_POINT`
`static String` | `OPTIMIZED_JOIN_POINT_INSTANCE_FIELD_NAME`
`static String` | `ORIGINAL_METHOD_PREFIX`
`static String` | `PROCEED_METHOD_NAME`
`static String` | `PROCEED_METHOD_SIGNATURE`
`static String` | `PUT_METHOD_NAME`
`static String` | `PUT_METHOD_SIGNATURE`
`static String` | `PUTFIELD_WRAPPER_METHOD_PREFIX`
`static String` | `RESET_METHOD_NAME`
`static String` | `RETURN_VALUE_FIELD_NAME`
`static String` | `RUNTIME_EXCEPTION_CLASS_NAME`
`static String` | `RUNTIME_EXCEPTION_INIT_METHOD_SIGNATURE`
`static String` | `SEMICOLON`
`static String` | `SERIAL_VERSION_UID_FIELD_NAME`
`static String` | `SET_FIELD_VALUE_METHOD_NAME`
`static String` | `SET_FIELD_VALUE_METHOD_SIGNATURE`
`static String` | `SET_PARAMETER_VALUE_METHOD_NAME`
`static String` | `SET_PARAMETER_VALUE_METHOD_SIGNATURE`
`static String` | `SET_PARAMETER_VALUES_METHOD_NAME`
`static String` | `SET_PARAMETER_VALUES_METHOD_SIGNATURE`
`static String` | `SET_RETURN_VALUE_METHOD_NAME`
`static String` | `SET_RETURN_VALUE_METHOD_SIGNATURE`
`static String` | `SHORT_CLASS_INIT_METHOD_SIGNATURE`
`static String` | `SHORT_CLASS_NAME`
`static String` | `SHORT_VALUE_METHOD_NAME`
`static String` | `SHORT_VALUE_METHOD_SIGNATURE`
`static String` | `SIGNATURE_FACTORY_CLASS`
`static String` | `SIGNATURE_FIELD_NAME`
`static String` | `STACK_FRAME_COUNTER_FIELD_NAME`
`static String` | `STATIC_INITIALIZATION_METHOD_NAME`
`static String` | `STATIC_JOIN_POINT_CLASS_NAME`
`static String` | `STATIC_JOIN_POINT_JAVA_CLASS_NAME`
`static String` | `STATICINITIALIZATION_RTTI_IMPL_CLASS_NAME`
`static String` | `STATICINITIALIZATION_RTTI_IMPL_INIT_SIGNATURE`
`static String` | `STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_NAME`
`static String` | `STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_SIGNATURE`
`static String` | `STATICINITIALIZER_WRAPPER_METHOD_KEY`
`static String` | `SYNTHETIC_MEMBER_PREFIX`
`static String` | `TARGET_CLASS_FIELD_NAME`
`static String` | `THROWABLE_CLASS_NAME`
`static String` | `WRAPPER_METHOD_PREFIX`

Fields inherited from interface org.objectweb.asm.Constants
`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, V1_1, V1_2, V1_3, V1_4, V1_5`

Field Detail

### EMTPTY_ARRAY_LIST

    static final List EMTPTY_ARRAY_LIST

### DELIMITER

    static final String DELIMITER

See Also:
  Constant Field Values

### ASPECTWERKZ_PREFIX

    static final String ASPECTWERKZ_PREFIX

See Also:
  Constant Field Values

### WRAPPER_METHOD_PREFIX

    static final String WRAPPER_METHOD_PREFIX

See Also:
  Constant Field Values

### SYNTHETIC_MEMBER_PREFIX

    static final String SYNTHETIC_MEMBER_PREFIX

See Also:
  Constant Field Values

### ORIGINAL_METHOD_PREFIX

    static final String ORIGINAL_METHOD_PREFIX

See Also:
  Constant Field Values

### STATICINITIALIZER_WRAPPER_METHOD_KEY

    static final String STATICINITIALIZER_WRAPPER_METHOD_KEY

See Also:
  Constant Field Values

### INVOKE_WRAPPER_METHOD_PREFIX

    static final String INVOKE_WRAPPER_METHOD_PREFIX

See Also:
  Constant Field Values

### PUTFIELD_WRAPPER_METHOD_PREFIX

    static final String PUTFIELD_WRAPPER_METHOD_PREFIX

See Also:
  Constant Field Values

### GETFIELD_WRAPPER_METHOD_PREFIX

    static final String GETFIELD_WRAPPER_METHOD_PREFIX

See Also:
  Constant Field Values

### JOIN_POINT_CLASS_SUFFIX

    static final String JOIN_POINT_CLASS_SUFFIX

See Also:
  Constant Field Values

### SERIAL_VERSION_UID_FIELD_NAME

    static final String SERIAL_VERSION_UID_FIELD_NAME

See Also:
  Constant Field Values

### TARGET_CLASS_FIELD_NAME

    static final String TARGET_CLASS_FIELD_NAME

See Also:
  Constant Field Values

### EMITTED_JOINPOINTS_FIELD_NAME

    static final String EMITTED_JOINPOINTS_FIELD_NAME

See Also:
  Constant Field Values

### INIT_JOIN_POINTS_METHOD_NAME

    static final String INIT_JOIN_POINTS_METHOD_NAME

See Also:
  Constant Field Values

### STATIC_INITIALIZATION_METHOD_NAME

    static final String STATIC_INITIALIZATION_METHOD_NAME

See Also:
  Constant Field Values

### INIT_METHOD_NAME

    static final String INIT_METHOD_NAME

See Also:
  Constant Field Values

### CLINIT_METHOD_NAME

    static final String CLINIT_METHOD_NAME

See Also:
  Constant Field Values

### CLINIT_METHOD_SIGNATURE

    static final String CLINIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### CLASS_LOADER_REFLECT_CLASS_NAME

    static final String CLASS_LOADER_REFLECT_CLASS_NAME

See Also:
  Constant Field Values

### CLASS_LOADER_CLASS_NAME

    static final String CLASS_LOADER_CLASS_NAME

See Also:
  Constant Field Values

### DEFINE_CLASS_METHOD_NAME

    static final String DEFINE_CLASS_METHOD_NAME

See Also:
  Constant Field Values

### INVOKE_METHOD_NAME

    static final String INVOKE_METHOD_NAME

See Also:
  Constant Field Values

### FOR_NAME_METHOD_NAME

    static final String FOR_NAME_METHOD_NAME

See Also:
  Constant Field Values

### LOAD_JOIN_POINT_METHOD_NAME

    static final String LOAD_JOIN_POINT_METHOD_NAME

See Also:
  Constant Field Values

### MIXINS_CLASS_NAME

    static final String MIXINS_CLASS_NAME

See Also:
  Constant Field Values

### MIXIN_OF_METHOD_NAME

    static final String MIXIN_OF_METHOD_NAME

See Also:
  Constant Field Values

### MIXIN_OF_METHOD_PER_JVM_SIGNATURE

    static final String MIXIN_OF_METHOD_PER_JVM_SIGNATURE

See Also:
  Constant Field Values

### MIXIN_OF_METHOD_PER_CLASS_SIGNATURE

    static final String MIXIN_OF_METHOD_PER_CLASS_SIGNATURE

See Also:
  Constant Field Values

### MIXIN_OF_METHOD_PER_INSTANCE_SIGNATURE

    static final String MIXIN_OF_METHOD_PER_INSTANCE_SIGNATURE

See Also:
  Constant Field Values

### SHORT_CLASS_NAME

    static final String SHORT_CLASS_NAME

See Also:
  Constant Field Values

### INTEGER_CLASS_NAME

    static final String INTEGER_CLASS_NAME

See Also:
  Constant Field Values

### LONG_CLASS_NAME

    static final String LONG_CLASS_NAME

See Also:
  Constant Field Values

### FLOAT_CLASS_NAME

    static final String FLOAT_CLASS_NAME

See Also:
  Constant Field Values

### DOUBLE_CLASS_NAME

    static final String DOUBLE_CLASS_NAME

See Also:
  Constant Field Values

### BYTE_CLASS_NAME

    static final String BYTE_CLASS_NAME

See Also:
  Constant Field Values

### BOOLEAN_CLASS_NAME

    static final String BOOLEAN_CLASS_NAME

See Also:
  Constant Field Values

### CHARACTER_CLASS_NAME

    static final String CHARACTER_CLASS_NAME

See Also:
  Constant Field Values

### OBJECT_CLASS_SIGNATURE

    static final String OBJECT_CLASS_SIGNATURE

See Also:
  Constant Field Values

### OBJECT_CLASS_NAME

    static final String OBJECT_CLASS_NAME

See Also:
  Constant Field Values

### CLASS_CLASS_SIGNATURE

    static final String CLASS_CLASS_SIGNATURE

See Also:
  Constant Field Values

### CLASS_CLASS

    static final String CLASS_CLASS

See Also:
  Constant Field Values

### THROWABLE_CLASS_NAME

    static final String THROWABLE_CLASS_NAME

See Also:
  Constant Field Values

### SHORT_VALUE_METHOD_NAME

    static final String SHORT_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### INT_VALUE_METHOD_NAME

    static final String INT_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### LONG_VALUE_METHOD_NAME

    static final String LONG_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### FLOAT_VALUE_METHOD_NAME

    static final String FLOAT_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### DOUBLE_VALUE_METHOD_NAME

    static final String DOUBLE_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### BYTE_VALUE_METHOD_NAME

    static final String BYTE_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### BOOLEAN_VALUE_METHOD_NAME

    static final String BOOLEAN_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### CHAR_VALUE_METHOD_NAME

    static final String CHAR_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### CHAR_VALUE_METHOD_SIGNATURE

    static final String CHAR_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### BOOLEAN_VALUE_METHOD_SIGNATURE

    static final String BOOLEAN_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### BYTE_VALUE_METHOD_SIGNATURE

    static final String BYTE_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### DOUBLE_VALUE_METHOD_SIGNATURE

    static final String DOUBLE_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### FLOAT_VALUE_METHOD_SIGNATURE

    static final String FLOAT_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### LONG_VALUE_METHOD_SIGNATURE

    static final String LONG_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### INT_VALUE_METHOD_SIGNATURE

    static final String INT_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SHORT_VALUE_METHOD_SIGNATURE

    static final String SHORT_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SHORT_CLASS_INIT_METHOD_SIGNATURE

    static final String SHORT_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### INTEGER_CLASS_INIT_METHOD_SIGNATURE

    static final String INTEGER_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### LONG_CLASS_INIT_METHOD_SIGNATURE

    static final String LONG_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### FLOAT_CLASS_INIT_METHOD_SIGNATURE

    static final String FLOAT_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### DOUBLE_CLASS_INIT_METHOD_SIGNATURE

    static final String DOUBLE_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### BYTE_CLASS_INIT_METHOD_SIGNATURE

    static final String BYTE_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### BOOLEAN_CLASS_INIT_METHOD_SIGNATURE

    static final String BOOLEAN_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### CHARACTER_CLASS_INIT_METHOD_SIGNATURE

    static final String CHARACTER_CLASS_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NO_PARAMS_RETURN_VOID_METHOD_SIGNATURE

    static final String NO_PARAMS_RETURN_VOID_METHOD_SIGNATURE

See Also:
  Constant Field Values

### CLASS_CLASS_GETCLASSLOADER_METHOD_SIGNATURE

    static final String CLASS_CLASS_GETCLASSLOADER_METHOD_SIGNATURE

See Also:
  Constant Field Values

### ENCLOSING_SJP_FIELD_CLASS_SIGNATURE

    static final String ENCLOSING_SJP_FIELD_CLASS_SIGNATURE

See Also:
  Constant Field Values

### L

    static final String L

See Also:
  Constant Field Values

### I

    static final String I

See Also:
  Constant Field Values

### SEMICOLON

    static final String SEMICOLON

See Also:
  Constant Field Values

### EMPTY_WRAPPER_ATTRIBUTE_VALUE_EMPTY

    static final byte EMPTY_WRAPPER_ATTRIBUTE_VALUE_EMPTY

See Also:
  Constant Field Values

### EMPTY_WRAPPER_ATTRIBUTE_VALUE_NOTEMPTY

    static final byte EMPTY_WRAPPER_ATTRIBUTE_VALUE_NOTEMPTY

See Also:
  Constant Field Values

### OPTIMIZED_JOIN_POINT

    static final boolean OPTIMIZED_JOIN_POINT

See Also:
  Constant Field Values

### NON_OPTIMIZED_JOIN_POINT

    static final boolean NON_OPTIMIZED_JOIN_POINT

See Also:
  Constant Field Values

### MIXIN_FIELD_NAME

    static final String MIXIN_FIELD_NAME

See Also:
  Constant Field Values

### SIGNATURE_FIELD_NAME

    static final String SIGNATURE_FIELD_NAME

See Also:
  Constant Field Values

### META_DATA_FIELD_NAME

    static final String META_DATA_FIELD_NAME

See Also:
  Constant Field Values

### ASPECT_FIELD_PREFIX

    static final String ASPECT_FIELD_PREFIX

See Also:
  Constant Field Values

### STACK_FRAME_COUNTER_FIELD_NAME

    static final String STACK_FRAME_COUNTER_FIELD_NAME

See Also:
  Constant Field Values

### INTERCEPTOR_INDEX_FIELD_NAME

    static final String INTERCEPTOR_INDEX_FIELD_NAME

See Also:
  Constant Field Values

### CALLEE_INSTANCE_FIELD_NAME

    static final String CALLEE_INSTANCE_FIELD_NAME

See Also:
  Constant Field Values

### CALLER_INSTANCE_FIELD_NAME

    static final String CALLER_INSTANCE_FIELD_NAME

See Also:
  Constant Field Values

### ARGUMENT_FIELD

    static final String ARGUMENT_FIELD

See Also:
  Constant Field Values

### RETURN_VALUE_FIELD_NAME

    static final String RETURN_VALUE_FIELD_NAME

See Also:
  Constant Field Values

### OPTIMIZED_JOIN_POINT_INSTANCE_FIELD_NAME

    static final String OPTIMIZED_JOIN_POINT_INSTANCE_FIELD_NAME

See Also:
  Constant Field Values

### ENCLOSING_SJP_FIELD_NAME

    static final String ENCLOSING_SJP_FIELD_NAME

See Also:
  Constant Field Values

### AROUND_INTERCEPTORS_FIELD_NAME

    static final String AROUND_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### NR_OF_AROUND_INTERCEPTORS_FIELD_NAME

    static final String NR_OF_AROUND_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### BEFORE_INTERCEPTORS_FIELD_NAME

    static final String BEFORE_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### NR_OF_BEFORE_INTERCEPTORS_FIELD_NAME

    static final String NR_OF_BEFORE_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### AFTER_INTERCEPTORS_FIELD_NAME

    static final String AFTER_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### NR_OF_AFTER_INTERCEPTORS_FIELD_NAME

    static final String NR_OF_AFTER_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### AFTER_RETURNING_INTERCEPTORS_FIELD_NAME

    static final String AFTER_RETURNING_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### NR_OF_AFTER_RETURNING_INTERCEPTORS_FIELD_NAME

    static final String NR_OF_AFTER_RETURNING_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### AFTER_THROWING_INTERCEPTORS_FIELD_NAME

    static final String AFTER_THROWING_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### NR_OF_AFTER_THROWING_INTERCEPTORS_FIELD_NAME

    static final String NR_OF_AFTER_THROWING_INTERCEPTORS_FIELD_NAME

See Also:
  Constant Field Values

### JOIN_POINT_MANAGER_CLASS_NAME

    static final String JOIN_POINT_MANAGER_CLASS_NAME

See Also:
  Constant Field Values

### LOAD_JOIN_POINT_METHOD_SIGNATURE

    static final String LOAD_JOIN_POINT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### FOR_NAME_METHOD_SIGNATURE

    static final String FOR_NAME_METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_SIGNATURE_IMPL_CLASS_NAME

    static final String METHOD_SIGNATURE_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### METHOD_SIGNATURE_IMPL_CLASS_SIGNATURE

    static final String METHOD_SIGNATURE_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### CONSTRUCTOR_SIGNATURE_IMPL_CLASS_SIGNATURE

    static final String CONSTRUCTOR_SIGNATURE_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### FIELD_SIGNATURE_IMPL_CLASS_SIGNATURE

    static final String FIELD_SIGNATURE_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### HANDLER_SIGNATURE_IMPL_CLASS_SIGNATURE

    static final String HANDLER_SIGNATURE_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### NEW_METHOD_SIGNATURE_METHOD_SIGNATURE

    static final String NEW_METHOD_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NEW_CONSTRUCTOR_SIGNATURE_METHOD_SIGNATURE

    static final String NEW_CONSTRUCTOR_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NEW_FIELD_SIGNATURE_METHOD_SIGNATURE

    static final String NEW_FIELD_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NEW_HANDLER_SIGNATURE_METHOD_SIGNATURE

    static final String NEW_HANDLER_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SIGNATURE_FACTORY_CLASS

    static final String SIGNATURE_FACTORY_CLASS

See Also:
  Constant Field Values

### ASPECTS_CLASS_NAME

    static final String ASPECTS_CLASS_NAME

See Also:
  Constant Field Values

### ASPECT_OF_METHOD_NAME

    static final String ASPECT_OF_METHOD_NAME

See Also:
  Constant Field Values

### ASPECT_OF_PER_JVM_METHOD_SIGNATURE

    static final String ASPECT_OF_PER_JVM_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GETCLASSLOADER_METHOD_NAME

    static final String GETCLASSLOADER_METHOD_NAME

See Also:
  Constant Field Values

### ASPECT_OF_PER_CLASS_METHOD_SIGNATURE

    static final String ASPECT_OF_PER_CLASS_METHOD_SIGNATURE

See Also:
  Constant Field Values

### ASPECT_OF_PER_INSTANCE_METHOD_SIGNATURE

    static final String ASPECT_OF_PER_INSTANCE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_CFLOW_STACK_METHOD_NAME

    static final String GET_CFLOW_STACK_METHOD_NAME

See Also:
  Constant Field Values

### GET_CFLOW_STACK_METHOD_SIGNATURE

    static final String GET_CFLOW_STACK_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_ENCLOSING_SJP_METHOD_NAME

    static final String GET_ENCLOSING_SJP_METHOD_NAME

See Also:
  Constant Field Values

### GET_ENCLOSING_SJP_METHOD_SIGNATURE

    static final String GET_ENCLOSING_SJP_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_SIGNATURE_METHOD_NAME

    static final String GET_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

### GET_SIGNATURE_METHOD_SIGNATURE

    static final String GET_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_RTTI_METHOD_NAME

    static final String GET_RTTI_METHOD_NAME

See Also:
  Constant Field Values

### GET_RTTI_METHOD_SIGNATURE

    static final String GET_RTTI_METHOD_SIGNATURE

See Also:
  Constant Field Values

### PROCEED_METHOD_NAME

    static final String PROCEED_METHOD_NAME

See Also:
  Constant Field Values

### PROCEED_METHOD_SIGNATURE

    static final String PROCEED_METHOD_SIGNATURE

See Also:
  Constant Field Values

### COPY_METHOD_NAME

    static final String COPY_METHOD_NAME

See Also:
  Constant Field Values

### COPY_METHOD_SIGNATURE

    static final String COPY_METHOD_SIGNATURE

See Also:
  Constant Field Values

### ADD_META_DATA_METHOD_NAME

    static final String ADD_META_DATA_METHOD_NAME

See Also:
  Constant Field Values

### ADD_META_DATA_METHOD_SIGNATURE

    static final String ADD_META_DATA_METHOD_SIGNATURE

See Also:
  Constant Field Values

### MAP_CLASS_SIGNATURE

    static final String MAP_CLASS_SIGNATURE

See Also:
  Constant Field Values

### MAP_CLASS_NAME

    static final String MAP_CLASS_NAME

See Also:
  Constant Field Values

### PUT_METHOD_NAME

    static final String PUT_METHOD_NAME

See Also:
  Constant Field Values

### PUT_METHOD_SIGNATURE

    static final String PUT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_META_DATA_METHOD_NAME

    static final String GET_META_DATA_METHOD_NAME

See Also:
  Constant Field Values

### GET_TARGET_METHOD_NAME

    static final String GET_TARGET_METHOD_NAME

See Also:
  Constant Field Values

### GET_THIS_METHOD_NAME

    static final String GET_THIS_METHOD_NAME

See Also:
  Constant Field Values

### GET_CALLER_METHOD_NAME

    static final String GET_CALLER_METHOD_NAME

See Also:
  Constant Field Values

### GET_CALLEE_METHOD_NAME

    static final String GET_CALLEE_METHOD_NAME

See Also:
  Constant Field Values

### GET_METHOD_NAME

    static final String GET_METHOD_NAME

See Also:
  Constant Field Values

### GET_METHOD_SIGNATURE

    static final String GET_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_META_DATA_METHOD_SIGNATURE

    static final String GET_META_DATA_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NEW_METHOD_SIGNATURE_METHOD_NAME

    static final String NEW_METHOD_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

### NEW_CONSTRUCTOR_SIGNATURE_METHOD_NAME

    static final String NEW_CONSTRUCTOR_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

### NEW_FIELD_SIGNATURE_METHOD_NAME

    static final String NEW_FIELD_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

### NEW_CATCH_CLAUSE_SIGNATURE_METHOD_NAME

    static final String NEW_CATCH_CLAUSE_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

### NEW_ENCLOSING_SJP_METHOD_NAME

    static final String NEW_ENCLOSING_SJP_METHOD_NAME

See Also:
  Constant Field Values

### NEW_ENCLOSING_SJP_METHOD_SIGNATURE

    static final String NEW_ENCLOSING_SJP_METHOD_SIGNATURE

See Also:
  Constant Field Values

### HASH_MAP_CLASS_NAME

    static final String HASH_MAP_CLASS_NAME

See Also:
  Constant Field Values

### NO_PARAM_RETURN_VOID_SIGNATURE

    static final String NO_PARAM_RETURN_VOID_SIGNATURE

See Also:
  Constant Field Values

### CLASS_NOT_FOUND_EXCEPTION_CLASS_NAME

    static final String CLASS_NOT_FOUND_EXCEPTION_CLASS_NAME

See Also:
  Constant Field Values

### GET_CALLER_CLASS_METHOD_NAME

    static final String GET_CALLER_CLASS_METHOD_NAME

See Also:
  Constant Field Values

### GET_CALLER_CLASS_METHOD_SIGNATURE

    static final String GET_CALLER_CLASS_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_CALLEE_CLASS_METHOD_NAME

    static final String GET_CALLEE_CLASS_METHOD_NAME

See Also:
  Constant Field Values

### GET_CALLEE_CLASS_METHOD_SIGNATURE

    static final String GET_CALLEE_CLASS_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_TARGET_CLASS_METHOD_NAME

    static final String GET_TARGET_CLASS_METHOD_NAME

See Also:
  Constant Field Values

### GET_TARGET_CLASS_METHOD_SIGNATURE

    static final String GET_TARGET_CLASS_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_TYPE_METHOD_NAME

    static final String GET_TYPE_METHOD_NAME

See Also:
  Constant Field Values

### GET_TYPE_METHOD_SIGNATURE

    static final String GET_TYPE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### RESET_METHOD_NAME

    static final String RESET_METHOD_NAME

See Also:
  Constant Field Values

### RUNTIME_EXCEPTION_CLASS_NAME

    static final String RUNTIME_EXCEPTION_CLASS_NAME

See Also:
  Constant Field Values

### RUNTIME_EXCEPTION_INIT_METHOD_SIGNATURE

    static final String RUNTIME_EXCEPTION_INIT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### IS_IN_CFLOW_METOD_NAME

    static final String IS_IN_CFLOW_METOD_NAME

See Also:
  Constant Field Values

### IS_IN_CFLOW_METOD_SIGNATURE

    static final String IS_IN_CFLOW_METOD_SIGNATURE

See Also:
  Constant Field Values

### STATIC_JOIN_POINT_CLASS_NAME

    static final String STATIC_JOIN_POINT_CLASS_NAME

See Also:
  Constant Field Values

### STATIC_JOIN_POINT_JAVA_CLASS_NAME

    static final String STATIC_JOIN_POINT_JAVA_CLASS_NAME

See Also:
  Constant Field Values

### JOIN_POINT_CLASS_NAME

    static final String JOIN_POINT_CLASS_NAME

See Also:
  Constant Field Values

### JOIN_POINT_CLASS_SIGNATURE

    static final String JOIN_POINT_CLASS_SIGNATURE

See Also:
  Constant Field Values

### JOIN_POINT_JAVA_CLASS_NAME

    static final String JOIN_POINT_JAVA_CLASS_NAME

See Also:
  Constant Field Values

### NO_PARAMS_SIGNATURE

    static final String NO_PARAMS_SIGNATURE

See Also:
  Constant Field Values

### METHOD_RTTI_IMPL_CLASS_SIGNATURE

    static final String METHOD_RTTI_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### METHOD_RTTI_IMPL_CLASS_NAME

    static final String METHOD_RTTI_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### METHOD_RTTI_IMPL_INIT_SIGNATURE

    static final String METHOD_RTTI_IMPL_INIT_SIGNATURE

See Also:
  Constant Field Values

### CONSTRUCTOR_RTTI_IMPL_CLASS_SIGNATURE

    static final String CONSTRUCTOR_RTTI_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### CONSTRUCTOR_RTTI_IMPL_CLASS_NAME

    static final String CONSTRUCTOR_RTTI_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### CONSTRUCTOR_RTTI_IMPL_INIT_SIGNATURE

    static final String CONSTRUCTOR_RTTI_IMPL_INIT_SIGNATURE

See Also:
  Constant Field Values

### FIELD_RTTI_IMPL_CLASS_SIGNATURE

    static final String FIELD_RTTI_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### FIELD_RTTI_IMPL_CLASS_NAME

    static final String FIELD_RTTI_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### FIELD_RTTI_IMPL_INIT_SIGNATURE

    static final String FIELD_RTTI_IMPL_INIT_SIGNATURE

See Also:
  Constant Field Values

### HANDLER_RTTI_IMPL_CLASS_SIGNATURE

    static final String HANDLER_RTTI_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### HANDLER_RTTI_IMPL_CLASS_NAME

    static final String HANDLER_RTTI_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### HANDLER_RTTI_IMPL_INIT_SIGNATURE

    static final String HANDLER_RTTI_IMPL_INIT_SIGNATURE

See Also:
  Constant Field Values

### SET_PARAMETER_VALUES_METHOD_NAME

    static final String SET_PARAMETER_VALUES_METHOD_NAME

See Also:
  Constant Field Values

### SET_PARAMETER_VALUES_METHOD_SIGNATURE

    static final String SET_PARAMETER_VALUES_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SET_PARAMETER_VALUE_METHOD_NAME

    static final String SET_PARAMETER_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### SET_PARAMETER_VALUE_METHOD_SIGNATURE

    static final String SET_PARAMETER_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SET_FIELD_VALUE_METHOD_NAME

    static final String SET_FIELD_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### SET_FIELD_VALUE_METHOD_SIGNATURE

    static final String SET_FIELD_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### SET_RETURN_VALUE_METHOD_NAME

    static final String SET_RETURN_VALUE_METHOD_NAME

See Also:
  Constant Field Values

### SET_RETURN_VALUE_METHOD_SIGNATURE

    static final String SET_RETURN_VALUE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### STATICINITIALIZATION_RTTI_IMPL_CLASS_NAME

    static final String STATICINITIALIZATION_RTTI_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### STATICINITIALIZATION_RTTI_IMPL_INIT_SIGNATURE

    static final String STATICINITIALIZATION_RTTI_IMPL_INIT_SIGNATURE

See Also:
  Constant Field Values

### HAS_INSTANCE_LEVEL_ASPECT_INTERFACE_NAME

    static final String HAS_INSTANCE_LEVEL_ASPECT_INTERFACE_NAME

See Also:
  Constant Field Values

### INSTANCE_LEVEL_ASPECT_MAP_FIELD_NAME

    static final String INSTANCE_LEVEL_ASPECT_MAP_FIELD_NAME

See Also:
  Constant Field Values

### INSTANCE_LEVEL_ASPECT_MAP_FIELD_SIGNATURE

    static final String INSTANCE_LEVEL_ASPECT_MAP_FIELD_SIGNATURE

See Also:
  Constant Field Values

### GET_INSTANCE_LEVEL_ASPECT_METHOD_NAME

    static final String GET_INSTANCE_LEVEL_ASPECT_METHOD_NAME

See Also:
  Constant Field Values

### GET_INSTANCE_LEVEL_ASPECT_METHOD_SIGNATURE

    static final String GET_INSTANCE_LEVEL_ASPECT_METHOD_SIGNATURE

See Also:
  Constant Field Values

### ADVISABLE_CLASS_JAVA_NAME

    static final String ADVISABLE_CLASS_JAVA_NAME

See Also:
  Constant Field Values

### ADVISABLE_CLASS_NAME

    static final String ADVISABLE_CLASS_NAME

See Also:
  Constant Field Values

### INTERCEPT_INVOKE_METHOD_NAME

    static final String INTERCEPT_INVOKE_METHOD_NAME

See Also:
  Constant Field Values

### AROUND_ADVICE_INVOKE_METHOD_SIGNATURE

    static final String AROUND_ADVICE_INVOKE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### BEFORE_ADVICE_INVOKE_METHOD_SIGNATURE

    static final String BEFORE_ADVICE_INVOKE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### AFTER_ADVICE_INVOKE_METHOD_SIGNATURE

    static final String AFTER_ADVICE_INVOKE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### AFTER_RETURNING_ADVICE_INVOKE_METHOD_SIGNATURE

    static final String AFTER_RETURNING_ADVICE_INVOKE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### AFTER_THROWING_ADVICE_INVOKE_METHOD_SIGNATURE

    static final String AFTER_THROWING_ADVICE_INVOKE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### AROUND_ADVICE_CLASS_NAME

    static final String AROUND_ADVICE_CLASS_NAME

See Also:
  Constant Field Values

### BEFORE_ADVICE_CLASS_NAME

    static final String BEFORE_ADVICE_CLASS_NAME

See Also:
  Constant Field Values

### AFTER_ADVICE_CLASS_NAME

    static final String AFTER_ADVICE_CLASS_NAME

See Also:
  Constant Field Values

### AFTER_RETURNING_ADVICE_CLASS_NAME

    static final String AFTER_RETURNING_ADVICE_CLASS_NAME

See Also:
  Constant Field Values

### AFTER_THROWING_ADVICE_CLASS_NAME

    static final String AFTER_THROWING_ADVICE_CLASS_NAME

See Also:
  Constant Field Values

### AROUND_ADVICE_ARRAY_CLASS_SIGNATURE

    static final String AROUND_ADVICE_ARRAY_CLASS_SIGNATURE

See Also:
  Constant Field Values

### BEFORE_ADVICE_ARRAY_CLASS_SIGNATURE

    static final String BEFORE_ADVICE_ARRAY_CLASS_SIGNATURE

See Also:
  Constant Field Values

### AFTER_ADVICE_ARRAY_CLASS_SIGNATURE

    static final String AFTER_ADVICE_ARRAY_CLASS_SIGNATURE

See Also:
  Constant Field Values

### AFTER_RETURNING_ADVICE_ARRAY_CLASS_SIGNATURE

    static final String AFTER_RETURNING_ADVICE_ARRAY_CLASS_SIGNATURE

See Also:
  Constant Field Values

### AFTER_THROWING_ADVICE_ARRAY_CLASS_SIGNATURE

    static final String AFTER_THROWING_ADVICE_ARRAY_CLASS_SIGNATURE

See Also:
  Constant Field Values

### GET_AROUND_ADVICE_METHOD_NAME

    static final String GET_AROUND_ADVICE_METHOD_NAME

See Also:
  Constant Field Values

### GET_AROUND_ADVICE_METHOD_SIGNATURE

    static final String GET_AROUND_ADVICE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_BEFORE_ADVICE_METHOD_NAME

    static final String GET_BEFORE_ADVICE_METHOD_NAME

See Also:
  Constant Field Values

### GET_BEFORE_ADVICE_METHOD_SIGNATURE

    static final String GET_BEFORE_ADVICE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_AFTER_ADVICE_METHOD_NAME

    static final String GET_AFTER_ADVICE_METHOD_NAME

See Also:
  Constant Field Values

### GET_AFTER_ADVICE_METHOD_SIGNATURE

    static final String GET_AFTER_ADVICE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_AFTER_RETURNING_ADVICE_METHOD_NAME

    static final String GET_AFTER_RETURNING_ADVICE_METHOD_NAME

See Also:
  Constant Field Values

### GET_AFTER_RETURNING_ADVICE_METHOD_SIGNATURE

    static final String GET_AFTER_RETURNING_ADVICE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### GET_AFTER_THROWING_ADVICE_METHOD_NAME

    static final String GET_AFTER_THROWING_ADVICE_METHOD_NAME

See Also:
  Constant Field Values

### GET_AFTER_THROWING_ADVICE_METHOD_SIGNATURE

    static final String GET_AFTER_THROWING_ADVICE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### MODIFIER_INVOKEINTERFACE

    static final int MODIFIER_INVOKEINTERFACE

See Also:
  Constant Field Values

### INDEX_NOTAVAILABLE

    static final int INDEX_NOTAVAILABLE

See Also:
  Constant Field Values

### STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_NAME

    static final String STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_NAME

See Also:
  Constant Field Values

### STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_SIGNATURE

    static final String STATICINITIALIZATION_SIGNATURE_IMPL_CLASS_SIGNATURE

See Also:
  Constant Field Values

### NEW_STATICINITIALIZATION_SIGNATURE_METHOD_SIGNATURE

    static final String NEW_STATICINITIALIZATION_SIGNATURE_METHOD_SIGNATURE

See Also:
  Constant Field Values

### NEW_STATICINITIALIZATION_SIGNATURE_METHOD_NAME

    static final String NEW_STATICINITIALIZATION_SIGNATURE_METHOD_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.